jvx.loader

## Class PgPovLoader

- java.lang.Object
- - jv.loader.PgAbstractLoader
  - - jvx.loader.PgPovLoader

- All Implemented Interfaces:
    PgLoaderIf

      public class PgPovLoader
      extends PgAbstractLoader

  Exporter for POV-Ray file format includes export of geometries, material and display options.
  Author:
    Kai Lawonn, Felix Kälberer
  Version:
    09.03.15, 3.00 revised (kp) Moved to jvx.loader from dev.loader.
    16.04.13, 2.30 revised (kp) StringBuilder replaced with StringBuffer since thread-safeness of StringBuilder not used and for 1.1 compatibility.
    05.02.11, 2.20 revised (kp) Bug in indexing of face colors removed, header inserted into pov-file.
    01.12.10, 2.10 revised (fk) More structure: use PovObject.
    25.11.10, 2.00 revised (fk) Complete overhaul: bug fixes, area light, ... 04.11.10, 1.00 created (kl)

- - ### Field Summary

    - ### Fields inherited from interface jv.loader.PgLoaderIf

      `GEOM_DATA_AUTHOR, GEOM_DATA_COLORS, GEOM_DATA_HEADER, GEOM_DATA_INFO, GEOM_DATA_NORMALS, GEOM_DATA_TEXTURE, GEOM_DATA_VECTORS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgPovLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `write(java.io.Writer writer, PgJvxSrc[] geomArr)` Write an array of geometries into an output stream writer.

    - ### Methods inherited from class jv.loader.PgAbstractLoader

      `getAnimations, getDisplayOption, getGeometries, getSpecializedGeometries, isAnimation, isEnabledOptimization, load, read, read, setAnimation, setDisplayOption, setGeometryOption, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgPovLoader

          public PgPovLoader()

  - ### Method Detail

    - #### write

          public boolean write(java.io.Writer writer,
                               PgJvxSrc[] geomArr)
                        throws java.io.IOException

      Write an array of geometries into an output stream writer.
      Specified by:
        `write` in interface `PgLoaderIf`
      Overrides:
        `write` in class `PgAbstractLoader`
      Parameters:
        `writer` - Write all data to this stream
        `geomArr` - Array with geometries to save
      Returns:
        `true` on success.
      Throws:
        `java.io.IOException`
      See Also:
        `PgAbstractLoader.read(BufferedReader)`, `PgAbstractLoader.write(DataOutputStream, PgJvxSrc [])`
      Version:
        16.04.13, 1.10 revised (kp) StringBuilder replaced with StringBuffer.
        09.09.10, 1.00 created (kl)

"

The software JavaView? is copyright protected. All Rights Reserved.
"